@Echo Compare Modern Kermit with regression test against Kermit-20 4.2(174) [2-May-85]
@Echo Different from K20POL because doing a PUT instead of a GET
LCLT20:: @CHKPNT LCLT20
@Echo Local Kermit is latest version
@Terminal Ideal
@Get Kermit
@Info Ver
@Start
*Echo Condition Local Kermit-20
*CWD KT:
*
*PWD
*Set Flow None
*Set Prompt "Local-Kermit-20>"
*Set Input Default-Timeout 4.5
*Set Input Timeout-Action Quit 
*Set Input Search-Default "\r\n@"
*Show Input
*Echo Maximum packet length 4.2(174) Supports
*Show 94
*Set 94
!4.2(174) Does not support pseudo-timing, so don't do it locally
!*Time NUL
!*Time Copy NUL PTY
*Log Session KT:K20PNW-LOCAL-SESSION
*Show Line
*Show Packet
*Show Timing
*Show Input
!
!
REMT20:: @CHKPNT LCLT20
!
*Echo Sign into remote system, mount structure, recondition terminal
*Connect pseudo-terminal /stay
*Input
*Echo Note, no password needed for same user id on a pseudo-terminal
*Output "slogin\r"
*Input
*Output "Terminal Ideal\r"
*Input
*Output "sm k20:\r"
*Input
!
!
*Echo Test Input with a great deal of output
*Output "where Kermit Loopback Testing [Batch]\r"
*Input
*Output "Finger\r"
*Input
!
REMK20:: @CHKPNT REMK20
!
*Echo Start Kermit-20 4.2(174) on remote job
!*Echo Can't do this, as it (silently) breaks older Kermit-20's
!*Output "Set NO Control-C-Capability\r"
!*Input
*Output "Get PS:<UNSUPPORTED>Kermit\r"
*Input
*Output "Info Ver\r"
*Input
*Output "Start\r"
*Input  "\r\nKermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Show Input
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Set 94\r"
*Input
!
!4.2(174) Does not support pseudo-timing, so can't do these remotely
!*Output "Time NUL\r"
!*Input
!*Output "Time Copy NUL PTY\r"
!*Input
!
! Don't choke 4.2(174) flushing NAK's, either
!
!*Echo Note subsecond server NAK'ing!!!
!*Output "Set Receive Server-Timeout 0.3333 \r"
!*Input
!
*Output "Set Flow None\r"
*Input
*Output "Show Line\r"
*Input
*Output "Show Timing\r"
*Input
*Output "Show Packet\r"
*Input
!
!
*Output "\rSERVER\r\r"
*Input "BYE" 
*Input "\r\n" 
!
!
! The following commands exercise the remote Kermit in server mode
!
SIMSRV:: @CHKPNT SIMSRV
!
*Echo Simple comands that do not open files
!
!4.2(174) Does not implement PWD
!
!*Remote PWD
!
*Remote Space
!
!
*Echo Remote Help (BASIC)
*Remote Help
*Statistics
!
!
NULTST:: @CHKPNT NULTST
!
*Echo Kermit-20 4.2(174) does not implement NUL:, so don't use it
@GOTO CWDTST
!
*Echo Basic tests against NUL:
*Remote Dir NUL:
*Remote Type NUL:
*Remote Delete NUL:
*Echo NUL: looks deleted, but it's still there
*Remote Dir NUL:
*Remote CWD NUL:
*
*Echo Show that remote Connect to NUL: did nothing
*Remote PWD
*Echo We can get NUL:, but it doesn't get us much
*Get "NUL:" NUL:
*Statistics
!
!
CWDTST:: @CHKPNT CWDTST
!
*Echo Test Changing real directories
*Remote CWD TOMMYT:<OINKY.HOLMES.ADVENTURES>
*
!*Remote PWD
!
! Connect to Kermit Testing, where remote will deposit files
!
*Remote CWD KT:
*
*Echo Hope we have enough space, double check connect
*Remote Space
!*Remote PWD
!
!
FILTST:: @CHKPNT FILTST
!
*Echo Tests with data files, New Kermit is Pushing to 4.2(174)
*Local CWD TOMMYT:<OINKY.WILDE.CANTERVILLE>
*Local PWD
*
!
! 4.2(174) Does not implement REMOTE STATUS
!
*Echo This is the Gutenberg ASCII text of The Ghost of Canterville by Oscar Wilde 
*Local Dir *.TXT.0
PREFIX:: @CHKPNT PREFIX
*PUT GUTENBERG-PREFIX.TXT.0 "PREFIX.TXT;T"
*Statistics
!*Remote Status
TITLE:: @CHKPNT TITLE
*PUT TITLE-PAGE.TXT.0 "TITLE.TXT;T"
*Statistics
!*Remote Status
LIST:: @CHKPNT LIST
*PUT LIST-OF-ILLUSTRATIONS.TXT.0 "LIST.TXT;T"
*Statistics
!*Remote Status
I:: @CHKPNT I
*PUT I.TXT.0 "I.TXT;T"
*Statistics
!*Remote Status
II:: @CHKPNT II
*PUT II.TXT.0 "II.TXT;T"
*Statistics
!*Remote Status
III:: @CHKPNT III
*PUT III.TXT.0 "III.TXT;T"
*Statistics
!*Remote Status
IV:: @CHKPNT IV
*PUT IV.TXT.0 "IV.TXT;T"
*Statistics
!*Remote Status
V:: @CHKPNT V
*PUT V.TXT.0 "V.TXT;T"
*Statistics
!*Remote Status
VI:: @CHKPNT VI
*PUT VI.TXT.0 "VI.TXT;T"
*Statistics
!*Remote Status
VII:: @CHKPNT VII
*PUT VII.TXT.0 "VII.TXT;T"
*Statistics
!*Remote Status
POSTFX:: @CHKPNT POSTFX
*PUT GUTENBERG-POSTFIX-AND-LICENSE.TXT.0 "POSTFX.TXT;T"
*Statistics
!*Remote Status
*Remote Dir "*.TXT.0"
*Remote CWD
*
*Local CWD KT:
*
*Local PWD
!
!
DONE:: @CHKPNT DONE
*Echo Done with remote tests, exit the remote Kermit
*Finish
*Set Input Default-Timeout 20
*Set Input Search-Default "\r\n@"
*Show Input
*Output "\R"
*Input
*Echo Show Remote Processor Time Used
*Output "Info Fork\R"
*Input
*Clear/Peek
!
KRPUSH:: @CHKPNT KRPUSH
!
*Echo Hold the remote job open while we compare files
!
*Echo Local Kermit can't catch a Control-C
=^C
@Info Fork
@Push
!
!
CHKFIL:: @CHKPNT CHKFIL
@Echo Compare transferred small files against known originals
@Info Job
@VD *.TXT.0 /since:today
@Define OWC: TOMMYT:<OINKY.WILDE.CANTERVILLE>
@Define PREFIX: OWC:GUTENBERG-PREFIX.TXT
@Define TITLE:  OWC:TITLE-PAGE.TXT
@Define LIST:   OWC:LIST-OF-ILLUSTRATIONS.TXT
@Define POSTFX: OWC:GUTENBERG-POSTFIX-AND-LICENSE.TXT
!@Define JRM: DOC:JSYS_REFERENCE.MEM
@Set Trap File
@FILCOM
*TTY:=PREFIX:,PREFIX.TXT
*TTY:=TITLE:,TITLE.TXT
*TTY:=LIST:,LIST.TXT
*TTY:=OWC:I.TXT,I.TXT
*TTY:=OWC:II.TXT,II.TXT
*TTY:=OWC:III.TXT,III.TXT
*TTY:=OWC:IV.TXT,IV.TXT
*TTY:=OWC:V.TXT,V.TXT
*TTY:=OWC:VI.TXT,VI.TXT
*TTY:=OWC:VII.TXT,VII.TXT
*TTY:=POSTFX:,POSTFX.TXT
!
! Check transfer of large file
!
!*TTY:=JRM:,JSYS.TXT
=
FINREM:: @CHKPNT FINREM
@Echo Finally log the remote job out which cleans up the testing directory
@Pop
@Echo Continue Local Kermit
@Continue
*Echo Now get rid of the Remote Kermit
*Output "Connect KT:\R"
*Input
*Output "Logout\R"
*Input "Used"
*Input "\r\n"
!
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Clear /Display
*Show Line
*Close Session
*Connect Close
*Echo No terminal fork to kill since never started one
*Echo Connect Kill
*Quit
@Info Fork
!
!
PORKY:: @CHKPNT PORKY
@Modify Batch K20POR /Dep 0
@Echo That's all Folks!
